Update an existing named credential

put

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/namedCredentials/{namedCredentialId}

Modifies an existing Named Credential details like Name, Description, Owner, Target Type, Target Name, etc.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: array
Show Source
Nested Schema : ReplaceNamedCredentialDetailsSummary
Type: object
schema object to hold Named Credential update data
Show Source
Nested Schema : attributes
Type: object
Additional Properties Allowed
Show Source
Represents a map of name-value for the attributes for the named credential
Nested Schema : localInputFiles
Type: object
Additional Properties Allowed
Show Source
Represents a map of name-value for an attribute value (from attributes property) being replaced by the content of a local file.
Examples

Back to Top

Response

Supported Media Types

200 Response

Named credentials modified successfully
Body ()
Root Schema : NamedCredential
Type: object
Schema object to hold Named Credential data to return on post operation
Show Source
Match All
Schema object to hold Named Credential data to return on post operation
Show Source
Nested Schema : attributes
Type: object
Additional Properties Allowed
Show Source
Represents a map of name-value for the attributes for the named credential
Nested Schema : credMapping
Type: object
Additional Properties Allowed
Show Source
Mapping of credential provider to the attributes required by the credential type
Nested Schema : NamedCredentialCommon
Type: object
Common properties for a Named Credential
Show Source
Examples

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top